{% extends 'base.html' %}
{% block content %}

    {% for message in messages %}
    <div class="container-fluid p-0">
        <div class="alert alert-danger {{ message.tags }} alert-dismissible" role="alert" >
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="True">&times;</span>
        </button>
        {{ message }}
        </div>
    </div>
    {% endfor %}
    {% if request.session.role == "Admin" %}
    <table class="table">
        <thead><tr>
            <th scope="col">Nama</th>
            <th scope="col">Action</th>
          </tr></thead>
        {% if list_misi_utama %}
            {% for misi in list_misi_utama %}
            <tr scope="row">
                <td> {{ misi.1 }} </td>
                <td>
                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#{{ misi.1 }}Modal">Detail</button>
                    {% if misi.12 %}
                    <a href='/delete/hapus_misi_utama/{{ misi.1 }}'>
                       <button type="button" class="btn btn-primary" >Delete</button>
                    </a>
                    {% endif %}
                </td>
                <div class="modal fade" id="{{ misi.1 }}Modal" tabindex="-1" role="dialog" aria-labelledby="{{ misi.1 }}ModalLabel" aria-hidden="true" data-show=false>
                    <div class="modal-dialog" role="document">
                      <div class="modal-content">
                        <div class="modal-header">
                          <h5 class="modal-title" id="{{ misi.1 }}ModalLabel">Detail Misi</h5>
                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                          </button>
                        </div>
                        <div class="modal-body">
                            Nama: {{ misi.1 }}<br>
                            Efek Energi: {{ misi.2 }}<br>
                            Efek Hubungan Sosial: {{ misi.3 }}<br>
                            Efek Kelaparan: {{ misi.4 }}<br>
                            Syarat Energi: {{ misi.5 }}<br>
                            Syarat Hubungan Sosial: {{ misi.6 }}<br>
                            Syarat Kelaparan: {{ misi.7 }}<br>
                            Completion Time: {{ misi.8 }}<br>
                            Reward Koin: {{ misi.9 }}<br>
                            Reward XP: {{ misi.10 }}
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                      </div>
                    </div>
                </div>
            </tr>
            {% endfor %}
        {% endif %}
    </table>
    {% endif %}
    {% if request.session.role == "Pemain" %}
    <table class="table">
        <thead><tr>
            <th scope="col">Nama</th>
            <th scope="col">Action</th>
          </tr></thead>
        {% if list_misi_utama %}
            {% for misi in list_misi_utama %}
            <tr scope="row">
                <td> {{ misi.1 }} </td>
                <td>
                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#{{ misi.1 }}Modal">Detail</button>
                </td>
                <div class="modal fade" id="{{ misi.1 }}Modal" tabindex="-1" role="dialog" aria-labelledby="{{ misi.1 }}ModalLabel" aria-hidden="true" data-show=false>
                    <div class="modal-dialog" role="document">
                      <div class="modal-content">
                        <div class="modal-header">
                          <h5 class="modal-title" id="{{ misi.1 }}ModalLabel">Detail Misi</h5>
                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                          </button>
                        </div>
                        <div class="modal-body">
                            Nama: {{ misi.1 }}<br>
                            Efek Energi: {{ misi.2 }}<br>
                            Efek Hubungan Sosial: {{ misi.3 }}<br>
                            Efek Kelaparan: {{ misi.4 }}<br>
                            Syarat Energi: {{ misi.5 }}<br>
                            Syarat Hubungan Sosial: {{ misi.6 }}<br>
                            Syarat Kelaparan: {{ misi.7 }}<br>
                            Completion Time: {{ misi.8 }}<br>
                            Reward Koin: {{ misi.9 }}<br>
                            Reward XP: {{ misi.10 }}
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                      </div>
                    </div>
                </div>
            </tr>
            {% endfor %}
        {% endif %}
    </table>
    {% endif %}

{% endblock content %}

{% block js %}
    <script>
        $('.modal').modal()
    </script>
{% endblock js %}